curl
curl -X DELETE https://api.expys.com/v1/offers/<id>/price \
-H "Authorization: Bearer YOUR_MEMBER_TOKEN"import requests
url = "https://api.expys.com/v1/offers/{id}/price"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.expys.com/v1/offers/{id}/price', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"availability": {
"isAvailable": true,
"quantityRemaining": 123
},
"description": "<string>",
"disclaimer": "<string>",
"display": {
"amount": 123,
"currency": {
"name": "<string>",
"symbol": "<string>",
"unitsPerUSD": 123
},
"source": "AUTHORED"
},
"endAt": "<string>",
"expiresAt": "<string>",
"id": "<string>",
"images": [
"<string>"
],
"inclusions": [
{
"group": "<string>",
"name": "<string>"
}
],
"kind": "<string>",
"location": {
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"display": "<string>",
"state": "<string>",
"venue": "<string>"
},
"maxGuests": 123,
"pointsPrice": 123,
"shortDescription": "<string>",
"startAt": "<string>",
"title": "<string>",
"type": "<string>",
"valueUSD": 123
}Offers
Clear the org's authored price, reverting to the derived figure
DELETE
/
v1
/
offers
/
{id}
/
price
curl
curl -X DELETE https://api.expys.com/v1/offers/<id>/price \
-H "Authorization: Bearer YOUR_MEMBER_TOKEN"import requests
url = "https://api.expys.com/v1/offers/{id}/price"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.expys.com/v1/offers/{id}/price', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"availability": {
"isAvailable": true,
"quantityRemaining": 123
},
"description": "<string>",
"disclaimer": "<string>",
"display": {
"amount": 123,
"currency": {
"name": "<string>",
"symbol": "<string>",
"unitsPerUSD": 123
},
"source": "AUTHORED"
},
"endAt": "<string>",
"expiresAt": "<string>",
"id": "<string>",
"images": [
"<string>"
],
"inclusions": [
{
"group": "<string>",
"name": "<string>"
}
],
"kind": "<string>",
"location": {
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"display": "<string>",
"state": "<string>",
"venue": "<string>"
},
"maxGuests": 123,
"pointsPrice": 123,
"shortDescription": "<string>",
"startAt": "<string>",
"title": "<string>",
"type": "<string>",
"valueUSD": 123
}Authorizations
ApiKeyBearerApiKeyHeader
Org-API-Key as a Bearer token.
Path Parameters
Response
Response for status 200
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes